/**
 * @desc 币种
 * @author 高炼
 */
export var CurrencyCode;
(function (CurrencyCode) {
    /** 人民币 */
    CurrencyCode["CNY"] = "CNY";
    /** 美元 */
    CurrencyCode["USD"] = "USD";
    /** 欧元 */
    CurrencyCode["EUR"] = "EUR";
    /** 澳元 */
    CurrencyCode["AUD"] = "AUD";
    /** 港币 */
    CurrencyCode["HKD"] = "HKD";
    /** 英镑 */
    CurrencyCode["GBP"] = "GBP";
    /** 加拿大元 */
    CurrencyCode["CAD"] = "CAD";
    /** 新加坡元 */
    CurrencyCode["SGD"] = "SGD";
})(CurrencyCode || (CurrencyCode = {}));
/** 获取所有币种Code与名称 */
export function currencyCodeNames() {
    return Object.keys(CurrencyCode).map(k => {
        const code = CurrencyCode[k];
        const transform = (code) => {
            switch (code) {
                case CurrencyCode.CNY:
                    return '人民币';
                case CurrencyCode.USD:
                    return '美元';
                case CurrencyCode.EUR:
                    return '欧元';
                case CurrencyCode.AUD:
                    return '澳元';
                case CurrencyCode.HKD:
                    return '港币';
                case CurrencyCode.GBP:
                    return '英镑';
                case CurrencyCode.CAD:
                    return '加拿大元';
                case CurrencyCode.SGD:
                    return '新加坡元';
                default:
                    return '';
            }
        };
        return { name: transform(code), id: code };
    });
}
/**
 * 根据币种code获取币种名称
 * @param code 币种code
 * @returns {string} 币种名称
 */
export function getCurrencyNameByCode(code) {
    if (!code)
        return '';
    const ccyInfo = currencyCodeNames().find((ccy) => ccy.id === code);
    return ccyInfo ? ccyInfo.name : '';
}
